package net.northking.cctp.daemon.service;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 生命周期接口
 */
@RequestMapping(value = "/v1")
@RestController
@Api(tags = "生命周期接口")
public class LifecycleCtrl
{
  /**
   * 守护进程是否运行
   * @return 引擎运行信息
   */
  @ApiOperation(value = "守护进程是否运行")
  @GetMapping(value = "/info")
  public String info()
  {
    return "正在运行";
  }
}
