package net.northking.cctp.se.device.bean;

import lombok.Data;

import java.util.Map;

@Data
public class DeviceInfo{
    private String deviceId;    // 设备id

    private boolean mobile = false;     // 是否移动设备

    private String deviceName;  // 设备名称

    private String connectAddress;  // 连接地址，移动-appium的ip，pc-设备ip

    private String port;    // 端口

    private String platform;    // 设备平台

    private String systemVersion;   // 移动设备版本

    private String wdaAddress;

    private String resolution;  //分辨率

    private Map<String,String> otherInfo;
}
