package net.northking.cctp.executePlan.pub.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class ScriptFirstExecutionDTO {

    @ApiModelProperty(value = "首次执行成功日期", example = "2024-02-22 15:07:00")
    private Long firstExecutionTime;

    @ApiModelProperty(value = "首次执行成功计划id", example = "2024-02-22 15:07:00")
    private String firstExecutionPlanId;

    @ApiModelProperty(value = "首次执行成功计划名称", example = "sssss")
    private String firstExecutionPlanName;
}
