package net.northking.cctp.device.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.List;

@Configuration
@ConfigurationProperties(prefix = "cctp.device.os.pc")
@Data
public class SystemConfig {

    private List<String> Win7;

    private List<String> Win10;

    private List<String> Win11;

    private List<String> MACOS;

    private List<String> Linux;

    private List<String> WinServer;

}
