package net.northking.cctp.element.internal.protocol.http.auth.oauth2;

import org.apache.http.auth.AuthScheme;
import org.apache.http.auth.AuthSchemeProvider;
import org.apache.http.protocol.HttpContext;

/**
 * OAuth2SchemeFactory
 *
 * @author fengxiang.zhang
 * @since 1.0
 */
public class OAuth2SchemeFactory implements AuthSchemeProvider {

    @Override
    public AuthScheme create(HttpContext httpContext) {
        return new OAuth2Scheme(httpContext);
    }
}
