package net.northking.cctp.common.config;

import net.northking.cctp.common.log.HttpLogAspect;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 * 启用: 全局通用配置
 *
 * @author xiusong.xie
 * @since 1.0
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
@Documented
@Import({GlobalConfiguration.class, CacheConfiguration.class, HttpLogAspect.class})
@Configuration
public @interface EnableNKCloud
{
}
