/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.dw.db.dao.DwAtuScriptVersionDao;
import net.northking.cctp.dw.db.service.DwAtuScriptVersionService;
import net.northking.cctp.dw.db.entity.DwAtuScriptVersion;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;


/**
 * dw脚本版本同步表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-11-25 11:15:20  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "DwAtuScriptVersionServiceImpl")
public class DwAtuScriptVersionServiceImpl extends PaginationService<DwAtuScriptVersion> implements DwAtuScriptVersionService
{
private static final Logger logger = LoggerFactory.getLogger(DwAtuScriptVersionServiceImpl.class);

  private final DwAtuScriptVersionDao dwAtuScriptVersionDao;

  public DwAtuScriptVersionServiceImpl(DwAtuScriptVersionDao dwAtuScriptVersionDao) {this.dwAtuScriptVersionDao = dwAtuScriptVersionDao;}

  public BasicDao<DwAtuScriptVersion> getDao() {return dwAtuScriptVersionDao;}

  public DwAtuScriptVersion createEntity() { return new DwAtuScriptVersion();}

  @Override
  protected void beforeInsert(DwAtuScriptVersion dwAtuScriptVersion) {

  }

  @Override
  protected void beforeUpdate(DwAtuScriptVersion dwAtuScriptVersion) {

  }


// ----      The End by Generator     ----//




}

