package net.northking.cctp.dw.db.service;

import net.northking.cctp.common.db.Pagination;
import net.northking.cctp.common.http.QueryByPage;
import net.northking.cctp.dw.db.entity.DwAtuPlanInfo;
import net.northking.cctp.dw.dto.UIDwAtuPlanQueryDto;
import net.northking.cctp.dw.dto.atu.DwAtuPlanExecutionDataDto;
import net.northking.cctp.dw.dto.atu.DwOptionDto;

import java.util.List;

public interface UIDwAtuPlanExecutionService {
    Pagination<DwAtuPlanExecutionDataDto> pagingQuery(QueryByPage<UIDwAtuPlanQueryDto> queryByPage);

    List<DwOptionDto> getPlanList();

    DwAtuPlanInfo getNameByPlanId(String planId);

}
