/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.platform.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.platform.db.entity.CpComponentList;

/**
 * Mybatis数据库持久层（底层）：组件清单
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2022-11-02 11:07:21  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface CpComponentListMapper extends BasicDao<CpComponentList>
{
  String EntityName = "CpComponentList";

  String COLUMN_id = "id";
  String COLUMN_libraryId = "library_id";
  String COLUMN_comName = "com_name";
  String COLUMN_comAlias = "com_alias";
  String COLUMN_comCategory = "com_category";
  String COLUMN_comAttributes = "com_attributes";
  String COLUMN_comIntro = "com_intro";
  String COLUMN_isDeprecated = "is_deprecated";
  String COLUMN_isCommonlyUse = "is_commonly_use";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";
  String COLUMN_tenantId = "tenant_id";

}
