drop table if exists clt_func_resource;

CREATE TABLE `clt_func_resource` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键ID',
  `func_id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '功能ID',
  `resource_id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '资源ID',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新人',
  `updated_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='功能与资源关系';