drop table if exists cp_workbench_resource;

CREATE TABLE `cp_workbench_resource` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键',
  `user_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '用户id',
  `resource_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '资源id',
  `resource_type` varchar(2) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '资源类型（1-图表）',
  `resource_screen` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '资源附带的筛选条件',
  `resource_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '资源名称',
  `idx` int(3) DEFAULT NULL COMMENT '顺序号',
  `project_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '项目id',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改人',
  `updated_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='工作台资源配置表';