/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.dao;

import net.northking.cctp.executePlan.db.entity.AtuPlanScriptLink;
import net.northking.cctp.executePlan.db.mapper.AtuPlanScriptLinkMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：计划脚本关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-08-31 16:48:02  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface AtuPlanScriptLinkDao extends AtuPlanScriptLinkMapper
{
    Integer insertLinkList(List<AtuPlanScriptLink> list);

    long countByScriptIdList(@Param("scriptIdList") List<String> scriptIdList);

}
