/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.executePlan.db.entity.AtuPlanInfo;

/**
 * Mybatis数据库持久层（底层）：执行计划表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2023-08-30 10:30:29  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuPlanInfoMapper extends BasicDao<AtuPlanInfo>
{
  String EntityName = "AtuPlanInfo";

  String COLUMN_id = "id";
  String COLUMN_tenantId = "tenant_id";
  String COLUMN_projectId = "project_id";
  String COLUMN_planName = "plan_name";
  String COLUMN_planDesc = "plan_desc";
  String COLUMN_enabled = "is_enabled";
  String COLUMN_status = "status";
  String COLUMN_appSet = "app_set";
  String COLUMN_screenRecordSet = "screen_record_set";
  String COLUMN_screenshotSet = "screenshot_set";
  String COLUMN_priority = "priority";
  String COLUMN_cronExpr = "cron_expr";
  String COLUMN_upFrontPlanId = "up_front_plan_id";
  String COLUMN_webhookUrl = "webhook_url";
  String COLUMN_webhookToken = "webhook_token";
  String COLUMN_sendMail = "is_send_mail";
  String COLUMN_mailAddress = "mail_address";
  String COLUMN_failRetry = "is_fail_retry";
  String COLUMN_failRetryCount = "fail_retry_count";
  String COLUMN_failCreatePlan = "is_fail_create_plan";
  String COLUMN_lastExecTime = "last_exec_time";
  String COLUMN_nextExecTime = "next_exec_time";
  String COLUMN_lastBatchId = "last_batch_id";
  String COLUMN_waitingNum = "waiting_num";
  String COLUMN_runningNum = "running_num";
  String COLUMN_successNum = "success_num";
  String COLUMN_execFailNum = "exec_fail_num";
  String COLUMN_assertFailNum = "assert_fail_num";
  String COLUMN_timeoutNum = "timeout_num";
  String COLUMN_cancelNum = "cancel_num";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";
  String COLUMN_deleted = "is_deleted";
  String COLUMN_hasCorn = "has_corn";
  String COLUMN_hasUpFront = "has_up_front";
  String COLUMN_hasWebhook = "has_webhook";
  String COLUMN_caseChangeFlag = "case_change_flag";

}
