/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.dao;

import net.northking.cctp.scriptcase.db.mapper.AtuScriptTagMapper;
import net.northking.cctp.scriptcase.dto.atuScript.atuScriptTag.AtuScriptTagDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：脚本标签表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-10-18 17:29:31  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface AtuScriptTagDao extends AtuScriptTagMapper
{
    /**
     * 根据脚本id列表查询现有标签
     * @param scriptIdList
     * @return
     */
    List<AtuScriptTagDto> getTagListByIds(@Param("scriptIdList") List<String> scriptIdList);


}
