/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.impl;

import net.northking.cctp.scriptcase.db.dao.AtuBusinessNoDao;
import net.northking.cctp.scriptcase.db.service.AtuBusinessNoService;
import net.northking.cctp.scriptcase.db.entity.AtuBusinessNo;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.saas.db.TenantEntityService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;


/**
 * 业务编号生成表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-23 17:23:04  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "AtuBusinessNoServiceImpl")
public class AtuBusinessNoServiceImpl extends TenantEntityService<AtuBusinessNo> implements AtuBusinessNoService
{
private static final Logger logger = LoggerFactory.getLogger(AtuBusinessNoServiceImpl.class);

  private final AtuBusinessNoDao atuBusinessNoDao;

  public AtuBusinessNoServiceImpl(AtuBusinessNoDao atuBusinessNoDao) {this.atuBusinessNoDao = atuBusinessNoDao;}

  public BasicDao<AtuBusinessNo> getDao() {return atuBusinessNoDao;}

  public AtuBusinessNo createEntity() { return new AtuBusinessNo();}

  @Override
  public void updateComTreeNo() {
    atuBusinessNoDao.updateComTreeNo();
  }







}

