/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.scriptcase.db.entity.AtuSceneInfo;

/**
 * Mybatis数据库持久层（底层）：场景脚本信息表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2022-11-29 10:19:09  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuSceneInfoMapper extends BasicDao<AtuSceneInfo>
{
  String EntityName = "AtuSceneInfo";

  String COLUMN_id = "id";
  String COLUMN_sceneName = "scene_name";
  String COLUMN_currentVersionId = "current_version_id";
  String COLUMN_scriptUrl = "script_url";
  String COLUMN_dataUrl = "data_url";
  String COLUMN_projectId = "project_id";
  String COLUMN_tenantId = "tenant_id";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";
  String COLUMN_isDeleted = "is_deleted";

}
