/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.scriptcase.db.entity.AtuScriptTag;

/**
 * Mybatis数据库持久层（底层）：脚本标签表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2022-10-18 17:29:31  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuScriptTagMapper extends BasicDao<AtuScriptTag>
{
  String EntityName = "AtuScriptTag";

  String COLUMN_scriptId = "script_id";
  String COLUMN_tagId = "tag_id";
  String COLUMN_projectId = "project_id";
  String COLUMN_tenentId = "tenent_id";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";

}
