package net.northking.cctp.scriptcase.dto.atuScript.atuScriptGroup;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@JsonSerialize
@ApiModel(description = "测试场景脚本查询实体")
@Data
public class PublishScriptQueryDto implements Serializable {
    @ApiModelProperty("脚本名称")
    private String scriptName;

    @ApiModelProperty("所选目录id")
    private String groupId;

    @ApiModelProperty("脚本类型列表")
    private List<String> scriptTypeList;

    @ApiModelProperty("关键字")
    private String treeName;

    @ApiModelProperty("系统id")
    private String projectId;

    private List<String> groupIdList;
}
