package net.northking.cctp.scriptcase.dto.sceneScript;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.northking.cctp.scriptcase.dto.casedesign.TableHeader;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

@Data
@JsonSerialize
@ApiModel(description = "场景输入项信息")
public class UserCaseDataVerifyDto implements Serializable {
    @ApiModelProperty("场景输入项表头")
    private List<TableHeader> tableHeader;
    @ApiModelProperty("场景输入项内容")
    private List<Map<String, Object>> tableContent;
}
