package net.northking.cctp.element.core.support;

/**
 * BeanRegistry
 *
 * @author fengxiang.zhang
 * @since 1.0
 */
public interface BeanRegistry {

    /**
     * register beans by classes
     *
     * @param clazz
     */
    void registerBeans(Class<?>... clazz);

    /**
     * register bean
     *
     * @param cls
     * @param bean
     */
    void registerBean(Class<?> cls, Object bean);

}
