package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.mapper.DwAtuPlanBatchMapper;
import net.northking.cctp.dw.dto.FailPlanInfoDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface DwAtuPlanBatchDao extends DwAtuPlanBatchMapper {

    String getPlanId(@Param("batchId") String batchId);

    List<FailPlanInfoDto> failPlanQuery(@Param("planIdList") List<String> planIdList,
                                        @Param("successFlag")String successFlag,
                                        @Param("userId")String userId);
}
