/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.DwManualExecJob;
import net.northking.cctp.dw.db.entity.MtCaseExecOverall;
import net.northking.cctp.dw.db.mapper.MtCaseExecOverallMapper;
import org.springframework.stereotype.Repository;

/**
 * Mybatis数据库持久层（业务层）：案例执行总体情况
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-20 11:41:46  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Repository
public interface MtCaseExecOverallDao extends MtCaseExecOverallMapper {
    
    Integer caseExecOverall(DwManualExecJob dwManualExecJob);

    Integer deleteAllOverallByProjectIds(MtCaseExecOverall overall);
}
