DROP TABLE IF EXISTS `mid_project_info`;
CREATE TABLE `mid_project_info` (
	`id` BIGINT(20) NOT NULL AUTO_INCREMENT,
	`project_id` VARCHAR(32) NOT NULL COMMENT '项目id' ,
	`start_time` DATE NULL DEFAULT NULL COMMENT '项目开始时间',
	`production_time` DATE NULL DEFAULT NULL COMMENT '项目上线时间',
	`is_deleted` TINYINT(4) NOT NULL DEFAULT '0' COMMENT '逻辑删除',
	`tenant_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '租户id' ,
	PRIMARY KEY (`id`) USING BTREE,
	INDEX `project_id` (`project_id`) USING BTREE
)
COMMENT='项目信息中间表'
ENGINE=InnoDB
COLLATE='utf8mb4_bin'
AUTO_INCREMENT=1
;
--CREATE TABLE `mid_project_info` (
--	`id` BIGINT(20) NOT NULL AUTO_INCREMENT,
--	`project_id` VARCHAR(32) NOT NULL COMMENT '项目id' COLLATE 'utf8_general_ci',
--	`start_time` DATE NULL DEFAULT NULL COMMENT '项目开始时间',
--	`production_time` DATE NULL DEFAULT NULL COMMENT '项目上线时间',
--	`is_deleted` TINYINT(4) NOT NULL DEFAULT '0' COMMENT '逻辑删除',
--	`tenant_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '租户id' COLLATE 'utf8_general_ci',
--	PRIMARY KEY (`id`) USING BTREE,
--	INDEX `project_id` (`project_id`) USING BTREE
--)
--COMMENT='项目信息中间表'
--COLLATE='utf8_general_ci'
--ENGINE=InnoDB
--AUTO_INCREMENT=251
--;