DROP TABLE if exists saas_software_app;

CREATE TABLE `saas_software_app` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键',
  `software_id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '软件',
  `micro_service_id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '微服务',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_software_app` (`software_id`,`micro_service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='SaaS软件与微服务关系';

