
DROP TABLE IF EXISTS `atu_input_data_set`;

CREATE TABLE `atu_input_data_set` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '主键id',
  `input_set_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '用例集id',
  `env_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '环境id',
  `data_set_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '数据集id',
  `source` varchar(2) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '数据来源(1、普通脚本 2、场景脚本 3、用例集',
  `set_column` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '数据集列名',
  `row_num` int(3) DEFAULT NULL COMMENT '数据集行号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='用例集引用数据关联表';